libqxp::TextBox Struct Reference

`#include <QXPTypes.h>`

Inheritance diagram for libqxp::TextBox:

## Public Member Functions

| TextBox ()
Public Member Functions inherited from libqxp::Box
| Box ()
Public Member Functions inherited from libqxp::TextObject
| TextObject ()
bool | isLinked () const

## Public Attributes

TextSettings | settings
Public Attributes inherited from libqxp::Box
boost::optional< Fill > | fill
Frame | frame
BoxType | boxType
CornerType | cornerType
double | cornerRadius
double | rotation
std::vector< Point > | customPoints
std::vector< CurveComponent > | curveComponents
Public Attributes inherited from libqxp::Object
Rect | boundingBox
bool | runaround
unsigned | zIndex
Public Attributes inherited from libqxp::TextObject
LinkedTextSettings | linkSettings
boost::optional< std::shared_ptr< Text > > | text

## Additional Inherited Members

Protected Member Functions inherited from libqxp::Object
| Object ()

## Constructor & Destructor Documentation

## TextBox()

libqxp::TextBox::TextBox | ( |  | ) |

inline

## Member Data Documentation

## settings

TextSettings libqxp::TextBox::settings

Referenced by TextBox().

The documentation for this struct was generated from the following file:

- QXPTypes.h